ur_rna.StructureEditor.models

## Class Motif.Domain

- java.lang.Object
- - ur_rna.StructureEditor.models.Motif.Segment
  - - ur_rna.StructureEditor.models.Motif.Domain

- All Implemented Interfaces:
    java.lang.Iterable<Nuc>, IMotif, INucGroup
  Enclosing class:
    Motif

      public static class Motif.Domain
      extends Motif.Segment
      implements IMotif

  Represents a segment of an RNA strand that extends from a nucleotide to its pair.

- - ### Field Summary

    - ### Fields inherited from class ur_rna.StructureEditor.models.Motif.Segment

      `end, start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Domain()`
    `Domain(Bond b)`
    `Domain(Nuc n)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Motif.Domain` | `getDomain(Nuc nuc)` Gets the domain that starts at the specified nucleotide (and ends with its paired nucleotide) or null if the nucleotide is unpaired or is paired with a nucleotide on a different strand.
    `private static Nuc` | `validatePair(Nuc n)`

    - ### Methods inherited from class ur_rna.StructureEditor.models.Motif.Segment

      `getBases, getNuc3, getNuc5, getNucAt, orderNucs, size, swapNucs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ur_rna.StructureEditor.models.INucGroup

      `getBases, iterator, transformAll`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### Domain

          public Domain()

    - #### Domain

          public Domain(Bond b)

    - #### Domain

          public Domain(Nuc n)

  - ### Method Detail

    - #### getDomain

          public static Motif.Domain getDomain(Nuc nuc)

      Gets the domain that starts at the specified nucleotide (and ends with its paired nucleotide) or null if the nucleotide is unpaired or is paired with a nucleotide on a different strand.

    - #### validatePair

          private static Nuc validatePair(Nuc n)